Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1442566

Summary: Review Request: nodejs-is-valid-app - Wrapper around is-valid-instance and is-registered for validating base plugins
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: POST --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1387531, 1442567    

Description Jared Smith 2017-04-15 16:42:42 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-valid-app/nodejs-is-valid-app.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-valid-app/nodejs-is-valid-app-0.3.0-1.fc27.src.rpm
Description: Wrapper around is-valid-instance and is-registered for validating base plugins
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-25 14:47:45 UTC
Tests fail:

+ /usr/bin/mocha -R spec
  is-valid-app

    ✓ should export a function

    ✓ should return false if the instance is not valid

    1) should allow custom instance types

    ✓ should return false if a plugin is registered already
  3 passing (14ms)
  1 failing
  1) is-valid-app should allow custom instance types:
      AssertionError [ERR_ASSERTION]: 0 == 2
      + expected - actual
      +2
      -0
      
      at Context.<anonymous> (test.js:47:12)

Comment 2 Jared Smith 2018-07-19 21:21:12 UTC
Can you please test again?  This is working fine for me:

https://koji.fedoraproject.org/koji/taskinfo?taskID=28446214

Comment 3 Robert-André Mauchin 2018-07-20 11:33:58 UTC
 - Latest version packaged
 - License ok
 - Builds in Mock
 - No rpmlint errors
 - Conforms to the Packaging Guidelines

Package approved.